package com.freemud.sdk.api.assortment.order.enums;

/**
 * @author : xh.Z
 * @email : fisherman0510@163.com
 * @Date : 2022/6/22 14:25
 * @description :  操作来源客户端 && 售后申请客户端
 */
public enum OperationClientEnum {

    STATE_0(0, "未知"),
    STATE_1(1, "POS插件"),
    STATE_2(2, "小助手"),
    STATE_3(3, "开放平台"),
    STATE_4(4, "自动任务"),
    STATE_5(5, "用户端"),
    STATE_6(6, "系统"),
    STATE_7(7, "万象"),
    STATE_8(8, "太一"),
    ;

    private Integer index;
    private String desc;

    public Integer getIndex() {
        return this.index;
    }

    public void setIndex(Integer index) {
        this.index = index;
    }

    public String getDesc() {
        return this.desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    private OperationClientEnum(Integer index, String desc) {
        this.index = index;
        this.desc = desc;
    }
}
